# Installation

```ruby

gem 'quandl_sandbox'

```


# Configuration

```ruby

require 'quandl/sandbox'

Quandl::Sandbox.config do |c|
  c.gateway = '10.110.110.10'
  c.gateway_user = 'ubuntu'
  c.subnet_id = 'subnet-a1a345b7'
  c.environment = 'staging'
  c.webhoook = 'http://example.com/api/v1/execute/callback'
end

```


# Execution

#### build and execute job in sandbox

```ruby

sw = Quandl::Sandbox::Repository.new(
  job_uid: 'xyz', 
  repository: 'http://github.com/blakehilscher/goog_scraper/', 
  reference: 'master' )
  
sw.execute

```

j = Job.find_by_uid('xyz').status
=> 'executing

sleep(10)

Job.find_by_uid('xyz').status
=> 'retrieved'