# encoding: utf-8
require 'spec_helper'

describe Quandl::Sandbox::Configuration do
  subject{ Quandl::Sandbox::Configuration.new }
  
  [ :image, :instance_type, :availability_zone, :ssh_gateway, 
    :ssh_user, :subnet_id, :environment, :verbose, :webhoook ].each do |name|
    
    it { should respond_to name }
  end
  
  describe "#to_h" do
    subject{ Quandl::Sandbox::Configuration.new.to_h }
    its([:instance_type]){ should eq 'm1.small' }
    its([:availability_zone]){ should eq 'us-east-1c' }
    its([:ssh_user]){ should eq 'ubuntu' }
  end
  
  describe "#configuration" do
    subject{ Quandl::Sandbox.configuration }
    its(:aws_access_key_id){ should eq ENV['AWS_ACCESS_KEY_ID'] }
    its(:aws_secret_access_key){ should eq ENV['AWS_SECRET_ACCESS_KEY'] }
  end
  
end