# encoding: utf-8
require 'spec_helper'

describe Quandl::Sandbox::Job do
  let(:job){ Quandl::Sandbox::Job.new }
  subject{ job }
  describe "#datasets" do
    before(:each){ job.stub(:output).and_return(stubbed_job_output) }
    
    subject{ job.datasets }
    
    its(:count){ should eq 4 }
    
    describe "#first" do
      subject{ job.datasets.first }

      its(:source_code){ should eq "QUANDL_SANDBOX_TEST" }
      its(:code){ should eq "DATASET_0"}
      its(:name){ should eq "Test Dataset 0" }
      its(:description){ should eq "Description of the dataset 0"}
      its(:column_names){ should eq ['Date', 'High', 'Low', 'Average'] }
      its(:full_code){ should eq "QUANDL_SANDBOX_TEST/DATASET_0"}
      its('data.count'){ should eq 10 }
      its('data.first.count'){ should eq 4 }
    end

  end
end