$:.unshift File.join(File.dirname(__FILE__), *%w[.. lib])

require "rspec"
require 'factory_girl'
require 'quandl/data'
require 'quandl/fabricate'
require 'pry'

factory_dir = File.join( File.dirname(__FILE__), 'factories/**/*.rb' )
Dir.glob( factory_dir ).each{|f| require(f); puts f }

require 'quandl/sandbox'

Quandl::Logger.use File.join( File.dirname(__FILE__), '../log/test.log' )

Quandl::Sandbox.configure do |c|
  c.ssh_gateway = ENV['QUANDL_SANDBOX_GATEWAY']
  c.subnet_id = ENV['QUANDL_SANDBOX_SUBNET']
  c.image = ENV['QUANDL_SANDBOX_IMAGE']
  c.aws_access_key_id = ENV['AWS_ACCESS_KEY_ID']
  c.aws_secret_access_key = ENV['AWS_SECRET_ACCESS_KEY']
  c.key_file = "/Users/blake/.ssh/quandl_3.pem"
  c.environment = 'test'
end

RSpec.configure do |config|
  config.include FactoryGirl::Syntax::Methods
end

def stubbed_job_output
  { stdout: 4.times.collect do |i|
    "QUANDL_SANDBOX_TEST/DATASET_#{i}\n" +
    "Test Dataset #{i}\n" +
    "Description of the dataset #{i}\n" +
    "Date, High, Low, Average\n" +
    "#{Quandl::Fabricate::Data.rand(rows: 10, columns: 3).to_csv}}"
  end.join("----\n")
  }
end
